﻿-- REQUIRED Combuctor
local CombuctorSet = Combuctor:GetModule("Sets")

-- Profession Icon Name
local IconPathName="Interface/Icons/Inv_misc_food_15"
local ProfessionName = select(6, GetAuctionItemSubClasses(7))

-- AucItemClasses
local Class_Recipe	= select(7, GetAuctionItemClasses())

-- AucItemSubClasses
local Class_Others 							= select(13, GetAuctionItemSubClasses(6))
local SubClass_Materials					= select(12, GetAuctionItemSubClasses(6))
local SubClass_Products					= select(1, GetAuctionItemSubClasses(4))

-- Tab Names
local TN = {}
TN.All = ALL 
TN.Materials = SubClass_Materials 
TN.Products = SubClass_Products	
TN.Others = Class_Others
TN.Recipes = Class_Recipe

-----------------------------------------------------------------------------------------------------------------------------------------
local function GetItemIDFromLink(itemLink)
	if not itemLink or itemLink == "" then return nil end

	local itemString = string.match(itemLink, "item[%-?%d:]+")
	local linkType, itemId, enchantId,jewelId1, jewelId2, jewelId3, jewelId4,suffixId, uniqueId = strsplit(":", itemString)
	if (linkType == 'item') then
		return itemId
	end

end
-----------------------------------------------------------------------------------------------------------------------------------------
local function isCooking(player, bagType, name, link, quality, level, ilvl, type, subType, stackCount, equipLoc)
	if not link then return false end
	if not subType then return false end

	local ItemID = GetItemIDFromLink(link)
	if not ItemID then return false end

	return (Composants_Cuisine[tonumber(ItemID)] or Fabrications_Cuisine[tonumber(ItemID)] or Divers_Cuisine[tonumber(ItemID)] or subType == SubClass_Recipe_Cooking)
end
-----------------------------------------------------------------------------------------------------------------------------------------
local function isMaterial(player, bagType, name, link, quality, level, ilvl, type, subType, stackCount, equipLoc)
	if not link then return false end

	local ItemID = GetItemIDFromLink(link)
	if not ItemID then return false end

	return (Composants_Cuisine[tonumber(ItemID)])
end
-----------------------------------------------------------------------------------------------------------------------------------------
local function isProduct(player, bagType, name, link, quality, level, ilvl, type, subType, stackCount, equipLoc)
	if not link then return false end
	
	local ItemID = GetItemIDFromLink(link)
	if not ItemID then return false end

	return (Fabrications_Cuisine[tonumber(ItemID)])
end
-----------------------------------------------------------------------------------------------------------------------------------------
local function isOther(player, bagType, name, link, quality, level, ilvl, type, subType, stackCount, equipLoc)
	if not link then return false end
	
	local ItemID = GetItemIDFromLink(link)
	if not ItemID then return false end

	return (Divers_Cuisine[tonumber(ItemID)])
end
-----------------------------------------------------------------------------------------------------------------------------------------
local function isRecipe(player, bagType, name, link, quality, level, ilvl, type, subType, stackCount, equipLoc)
	if not type then return false end
	if not subType then return false end
	return (type == Class_Recipe and subType == SubClass_Recipe_Cooking)
end
-----------------------------------------------------------------------------------------------------------------------------------------
CombuctorSet:Register(ProfessionName, IconPathName, isCooking)

CombuctorSet:RegisterSubSet(TN.All,				ProfessionName, nil, isCooking)
CombuctorSet:RegisterSubSet(TN.Materials,	ProfessionName, nil, isMaterial)
CombuctorSet:RegisterSubSet(TN.Products,	ProfessionName, nil, isProduct)
CombuctorSet:RegisterSubSet(TN.Others,		ProfessionName, nil, isOther)
CombuctorSet:RegisterSubSet(TN.Recipes,	ProfessionName, nil, isRecipe)
